/* ------------------------------ */
/* ------- Cookie Toggle -------- */
/* ------------------------------ */

.section > div.section__cookie, .section > div.section__cookie + .section__text {
    padding-top: var(--spacing-3);
}
  
.section__cookie p, .section__cookie button {
    display: inline-block;
}
  
.section__cookie p {
    margin-bottom: 0;
}
  
.section__cookie button {
    margin-left: var(--spacing-2);
}



/* ------------------------------ */
/* ---- Cookie Notification ----- */
/* ------------------------------ */

.cookie_box {
    position: fixed;
    z-index: 15;
    left: calc(50% - var(--spacing-2));
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
        transform: translateX(-50%);
    width: calc(100% - var(--spacing-4));
    max-width: 730px;
    padding: var(--spacing-2);
    color: var(--brand-white);
    background: var(--brand-color-1);
    -webkit-transition: all 1s cubic-bezier(0,.55,.45,1);
    -o-transition: all 1s cubic-bezier(0,.55,.45,1);
    transition: all 1s cubic-bezier(0,.55,.45,1);
}
    
.cookie_box, .cookie_box.hide {
    bottom: -150px;
}
    
.cookie_box.is-active {
    bottom: 0;
}

.cookie_box__container.row {
    margin-right: calc(var(--spacing-2) * -1);
    margin-left: calc(var(--spacing-2) * -1);
    line-height: var(--line-height-2);
}

.cookie_box__container > .col {
    padding-right: var(--spacing-2);
    padding-left: var(--spacing-2);
}

.cookie_box__container > .col.cookie_box__icon {
    height: 40px;
}

.cookie_box__content {
    max-width: 555px;
}

.cookie_box p, .cookie_box a {
    font-size: 17px;
}
    
.cookie_box a {
    position: relative;
    display: inline-block;
    text-decoration: underline;
    -webkit-transition: var(--transition-2);
    -o-transition: var(--transition-2);
    transition: var(--transition-2);
}

.no-touchevents .cookie_box a:hover {
    opacity: var(--opacity-2);
}
    
.cookie_box button {
    font-size: 13px;
    min-width: auto;
}

.cookie_box button::before {
    background-color: var(--brand-white);
}

.cookie_box button span {
    color: var(--brand-color-1);
}



/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 768px) {

    .cookie_box button {
        padding: 10px 20px 8px;
    }

    .macos .cookie_box button, .ios .cookie_box button, .firefox .cookie_box button {
        padding: 10px 20px 8px;
    }

}
  
  
@media all and (max-width: 824.98px) {

    .cookie_box {
        width: 100%;
        max-width: 100%;
        left: 0;
        right: 0;
        -webkit-transform: none;
            -ms-transform: none;
                transform: none;
        margin: 0;
        padding: var(--spacing-2) var(--spacing-3-5);
    }

    .cookie_box, .cookie_box.hide {
        bottom: -200px;
    }
  
    .cookie_box__container.row {
        position: relative;
        margin: 0;
    }

    .cookie_box__container > .col {
        padding: 0;
    }

    .cookie_box p, .cookie_box a {
        font-size: var(--font-size-standard);
    }

    .cookie_box__button button {
        padding: 9px 16px 7px;
    }

    .macos .cookie_box button, .ios .cookie_box button, .firefox .cookie_box button {
        padding-top: 9px;
    }
  
}

@media all and (max-width: 767.98px) {

    .cookie_box {
        padding: var(--spacing-3) var(--spacing-3-5);
    }

    .cookie_box__content {
        max-width: 100%;
    }

    .cookie_box__button {
        margin-top: 12px;
    }

}